Name: cobex
Version: 0.2.13
Release: 1%{?dist}

Summary: SonyEricsson comunication program
License: GPL
Group: Applications/Communications
Url: http://cobex.sourceforge.net/

Source0: %{name}-%{version}.tar.gz

BuildRequires: expat-devel libezV24-devel perl-XML-Parser perl
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This is Cable OBEX, or Cobex for short, a small utility/library for talking
to (not in, hahaha) a cellphone using OBEX over a serial cable. For a
full-featured Open Source OBEX implementation, see the OpenOBEX project,
http://openobex.sourceforge.net/ . I think their primary focus is IrDA and
Bluetooth, and I never got it to work over a serial cable, thus this project.

Cobex has been successfully tested with the SonyEricsson phones T610, T310 and
T300 using a DCU-11 USB/Serial cable. Other phones might work.

This project includes the three utilities, cobex_put, cobex_get and cobex_ls.
That's right, now you can get files from a T610, NOT a T300/T310. An added
bonus is the modeldb sub-project.

%prep
%setup -q
# setup opt flags
perl -p -i -e "s/-O2\ /$RPM_OPT_FLAGS\ /g" Makefile

%build
make

%install
%{__mkdir_p} %{buildroot}%{_bindir}
for f in cobex_get cobex_ls cobex_mkdir cobex_put cobex_put.pl cobex_rm; do
	%{__install} -m 0755 $f %{buildroot}%{_bindir}/$f
done

%files
%doc Changelog COPYING Hacking_pl2303_driver.txt README Things_to_know_T310.txt
%{_bindir}/*

%changelog
* Tue May 15 2007 Peter Hanecak <hany@hany.sk> 0.2.13-1
- update to 0.2.13
- added %%{?dist} into spec

* Wed Apr  5 2006 Peter Hanecak <hany@hany.sk> 0.2.8-1
- update to 0.2.8

* Mon Aug 29 2005 Peter Hanecak <hanecak@megaloman.sk> 0.2.6-1
- update to 0.2.6

* Tue Aug 10 2004 Peter Hanecak <hanecak@megaloman.sk> 0.2.1-1
- adapted to Doors Linux
- update to 0.2.1

* Mon May 17 2004 Grigory Milev <week@altlinux.ru> 0.2.0-alt1
- Initial build.
